Index: squid/auth_modules/MSNT/session.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/MSNT/Attic/session.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.30.1
diff -u -r1.1.1.1 -r1.1.1.1.30.1
--- squid/auth_modules/MSNT/session.c	26 Jan 2000 03:25:00 -0000	1.1.1.1
+++ squid/auth_modules/MSNT/session.c	27 Aug 2001 21:48:15 -0000	1.1.1.1.30.1
@@ -1,5 +1,4 @@
 /* UNIX RFCNB (RFC1001/RFC1002) NetBIOS implementation
-
    Version 1.0
    Session Routines ...
 
@@ -34,7 +33,7 @@
 
 int RFCNB_Stats[RFCNB_MAX_STATS];
 
-void (*Prot_Print_Routine)() = NULL;      /* Pointer to print routine */
+void (*Prot_Print_Routine) () = NULL;	/* Pointer to print routine */
 
 /* Set up a session with a remote name. We are passed Called_Name as a
    string which we convert to a NetBIOS name, ie space terminated, up to
@@ -43,123 +42,128 @@
    Address can be a DNS based name, or a TCP/IP address ...
 */
 
-void *RFCNB_Call(char *Called_Name, char *Calling_Name, char *Called_Address,
-		 int port)
+void *
+RFCNB_Call(char *Called_Name, char *Calling_Name, char *Called_Address,
+    int port)
 
-{ struct RFCNB_Con *con;
-  struct in_addr Dest_IP;
-  int Client;
-  BOOL redirect; struct redirect_addr *redir_addr;
-  char *Service_Address;
+{
+    struct RFCNB_Con *con;
+    struct in_addr Dest_IP;
+    int Client;
+    BOOL redirect;
+    struct redirect_addr *redir_addr;
+    char *Service_Address;
 
-  /* Now, we really should look up the port in /etc/services ... */
+    /* Now, we really should look up the port in /etc/services ... */
 
-  if (port == 0) port = RFCNB_Default_Port;
+    if (port == 0)
+	port = RFCNB_Default_Port;
 
-  /* Create a connection structure first */
+    /* Create a connection structure first */
 
-  if ((con = (struct RFCNB_Con *)malloc(sizeof(struct RFCNB_Con))) == NULL) { /* Error in size */
+    if ((con = (struct RFCNB_Con *) malloc(sizeof(struct RFCNB_Con))) == NULL) {	/* Error in size */
 
-    RFCNB_errno = RFCNBE_NoSpace;
-    RFCNB_saved_errno = errno;
-    return(NULL);
+	RFCNB_errno = RFCNBE_NoSpace;
+	RFCNB_saved_errno = errno;
+	return (NULL);
 
     }
- 
-  con -> fd = -0;             /* no descriptor yet */
-  con -> rfc_errno = 0;           /* no error yet */
-  con -> timeout = 0;         /* no timeout   */
-  con -> redirects = 0;
-  con -> redirect_list = NULL; /* Fix bug still in version 0.50 */
 
-  /* Resolve that name into an IP address */
-
-  Service_Address = Called_Name;
-  if (strcmp(Called_Address, "") != 0) { /* If the Called Address = "" */
-    Service_Address = Called_Address;
-  }
+    con->fd = -0;		/* no descriptor yet */
+    con->rfc_errno = 0;		/* no error yet */
+    con->timeout = 0;		/* no timeout   */
+    con->redirects = 0;
+    con->redirect_list = NULL;	/* Fix bug still in version 0.50 */
+
+    /* Resolve that name into an IP address */
+
+    Service_Address = Called_Name;
+    if (strcmp(Called_Address, "") != 0) {	/* If the Called Address = "" */
+	Service_Address = Called_Address;
+    }
 
-  if ((errno = RFCNB_Name_To_IP(Service_Address, &Dest_IP)) < 0) { /* Error */
+    if ((errno = RFCNB_Name_To_IP(Service_Address, &Dest_IP)) < 0) {	/* Error */
 
-    /* No need to modify RFCNB_errno as it was done by RFCNB_Name_To_IP */
+	/* No need to modify RFCNB_errno as it was done by RFCNB_Name_To_IP */
 
-    return(NULL);
+	return (NULL);
 
     }
 
-  /* Now connect to the remote end */
+    /* Now connect to the remote end */
 
-  redirect = TRUE;     /* Fudge this one so we go once through */
+    redirect = TRUE;		/* Fudge this one so we go once through */
 
-  while (redirect) {   /* Connect and get session info etc */
+    while (redirect) {		/* Connect and get session info etc */
 
-    redirect = FALSE;  /* Assume all OK */
+	redirect = FALSE;	/* Assume all OK */
 
-    /* Build the redirect info. First one is first addr called */
-    /* And tack it onto the list of addresses we called        */
+	/* Build the redirect info. First one is first addr called */
+	/* And tack it onto the list of addresses we called        */
 
-    if ((redir_addr = (struct redirect_addr *)malloc(sizeof(struct redirect_addr))) == NULL) { /* Could not get space */
-      
-      RFCNB_errno = RFCNBE_NoSpace;
-      RFCNB_saved_errno = errno;
-      return(NULL);
+	if ((redir_addr =
+		(struct redirect_addr *) malloc(sizeof(struct redirect_addr)))
+	    == NULL) {		/* Could not get space */
 
-    }
+	    RFCNB_errno = RFCNBE_NoSpace;
+	    RFCNB_saved_errno = errno;
+	    return (NULL);
 
-    memcpy((char *)&(redir_addr -> ip_addr), (char *)&Dest_IP, sizeof(Dest_IP));
-    redir_addr -> port = port;
-    redir_addr -> next = NULL;
+	}
 
-    if (con -> redirect_list == NULL) { /* Stick on head */
+	memcpy((char *) &(redir_addr->ip_addr), (char *) &Dest_IP,
+	    sizeof(Dest_IP));
+	redir_addr->port = port;
+	redir_addr->next = NULL;
 
-      con -> redirect_list = con -> last_addr = redir_addr;
+	if (con->redirect_list == NULL) {	/* Stick on head */
 
-    } else {
+	    con->redirect_list = con->last_addr = redir_addr;
 
-      con -> last_addr -> next = redir_addr;
-      con -> last_addr = redir_addr;
+	} else {
 
-    }
+	    con->last_addr->next = redir_addr;
+	    con->last_addr = redir_addr;
+
+	}
 
-    /* Now, make that connection */
+	/* Now, make that connection */
 
-    if ((Client = RFCNB_IP_Connect(Dest_IP, port)) < 0) { /* Error */
+	if ((Client = RFCNB_IP_Connect(Dest_IP, port)) < 0) {	/* Error */
 
-      /* No need to modify RFCNB_errno as it was done by RFCNB_IP_Connect */
+	    /* No need to modify RFCNB_errno as it was done by RFCNB_IP_Connect */
 
-      return(NULL);
+	    return (NULL);
 
-      }
+	}
 
-    con -> fd = Client;
+	con->fd = Client;
 
-    /* Now send and handle the RFCNB session request              */
-    /* If we get a redirect, we will comeback with redirect true 
-       and a new IP address in DEST_IP                            */
+	/* Now send and handle the RFCNB session request              */
+	/* If we get a redirect, we will comeback with redirect true 
+	 * and a new IP address in DEST_IP                            */
 
-    if ((errno = RFCNB_Session_Req(con, 
-				   Called_Name,
-   				   Calling_Name,
-				   &redirect, &Dest_IP, &port)) < 0) {
+	if ((errno = RFCNB_Session_Req(con,
+		    Called_Name, Calling_Name, &redirect, &Dest_IP, &port)) < 0) {
 
-      /* No need to modify RFCNB_errno as it was done by RFCNB_Session.. */
+	    /* No need to modify RFCNB_errno as it was done by RFCNB_Session.. */
 
-      return(NULL);
+	    return (NULL);
 
-      }
+	}
 
-    if (redirect) {
+	if (redirect) {
 
-      /* We have to close the connection, and then try again */
+	    /* We have to close the connection, and then try again */
 
-      (con -> redirects)++;
+	    (con->redirects)++;
 
-      RFCNB_Close(con -> fd);  /* Close it */
+	    RFCNB_Close(con->fd);	/* Close it */
 
-      }
+	}
     }
 
-  return(con);
+    return (con);
 
 }
 
@@ -167,133 +171,138 @@
    data as a series of pointers to blocks of data ... we should check the
    length ... */
 
-int RFCNB_Send(struct RFCNB_Con *Con_Handle, struct RFCNB_Pkt *udata, int Length)
-
-{ struct RFCNB_Pkt *pkt; char *hdr;
-  int len;
+int
+RFCNB_Send(struct RFCNB_Con *Con_Handle, struct RFCNB_Pkt *udata, int Length)
+{
+    struct RFCNB_Pkt *pkt;
+    char *hdr;
+    int len;
 
-  /* Plug in the header and send the data */
+    /* Plug in the header and send the data */
 
-  pkt = RFCNB_Alloc_Pkt(RFCNB_Pkt_Hdr_Len);
+    pkt = RFCNB_Alloc_Pkt(RFCNB_Pkt_Hdr_Len);
 
-  if (pkt == NULL) {
+    if (pkt == NULL) {
 
-    RFCNB_errno = RFCNBE_NoSpace;
-    RFCNB_saved_errno = errno;
-    return(RFCNBE_Bad);
+	RFCNB_errno = RFCNBE_NoSpace;
+	RFCNB_saved_errno = errno;
+	return (RFCNBE_Bad);
 
-  }
+    }
 
-  pkt -> next = udata;   /* The user data we want to send */
+    pkt->next = udata;		/* The user data we want to send */
 
-  hdr = pkt -> data;
+    hdr = pkt->data;
 
-  /* Following crap is for portability across multiple UNIX machines */
+    /* Following crap is for portability across multiple UNIX machines */
 
-  *(hdr + RFCNB_Pkt_Type_Offset)  = RFCNB_SESSION_MESSAGE;
-  RFCNB_Put_Pkt_Len(hdr, Length);
+    *(hdr + RFCNB_Pkt_Type_Offset) = RFCNB_SESSION_MESSAGE;
+    RFCNB_Put_Pkt_Len(hdr, Length);
 
 #ifdef RFCNB_DEBUG
 
-  fprintf(stderr, "Sending packet: ");
-  
+    fprintf(stderr, "Sending packet: ");
+
 #endif
 
-  if ((len = RFCNB_Put_Pkt(Con_Handle, pkt, Length + RFCNB_Pkt_Hdr_Len)) < 0) {
+    if ((len = RFCNB_Put_Pkt(Con_Handle, pkt, Length + RFCNB_Pkt_Hdr_Len)) < 0) {
 
-    /* No need to change RFCNB_errno as it was done by put_pkt ...     */
+	/* No need to change RFCNB_errno as it was done by put_pkt ...     */
 
-    return(RFCNBE_Bad);   /* Should be able to write that lot ... */
-    
-  }
+	return (RFCNBE_Bad);	/* Should be able to write that lot ... */
 
-  /* Now we have sent that lot, let's get rid of the RFCNB Header and return */
+    }
+
+    /* Now we have sent that lot, let's get rid of the RFCNB Header and return */
 
-  pkt -> next = NULL;
+    pkt->next = NULL;
 
-  RFCNB_Free_Pkt(pkt);
+    RFCNB_Free_Pkt(pkt);
 
-  return(len);
+    return (len);
 
 }
 
 /* We pick up a message from the internet ... We have to worry about 
    non-message packets ...                                           */
 
-int RFCNB_Recv(void *con_Handle, struct RFCNB_Pkt *Data, int Length)
-
-{ struct RFCNB_Pkt *pkt; struct RFCNB_Hdr *hdr;
-  int ret_len;
-
-  if (con_Handle == NULL){
-
-    RFCNB_errno = RFCNBE_BadHandle;
-    RFCNB_saved_errno = errno;
-    return(RFCNBE_Bad);
+int
+RFCNB_Recv(void *con_Handle, struct RFCNB_Pkt *Data, int Length)
+{
+    struct RFCNB_Pkt *pkt;
+    struct RFCNB_Hdr *hdr;
+    int ret_len;
+
+    if (con_Handle == NULL) {
+
+	RFCNB_errno = RFCNBE_BadHandle;
+	RFCNB_saved_errno = errno;
+	return (RFCNBE_Bad);
 
-  }
+    }
 
-  /* Now get a packet from below. We allocate a header first */
+    /* Now get a packet from below. We allocate a header first */
 
-  /* Plug in the header and send the data */
+    /* Plug in the header and send the data */
 
-  pkt = RFCNB_Alloc_Pkt(RFCNB_Pkt_Hdr_Len);
+    pkt = RFCNB_Alloc_Pkt(RFCNB_Pkt_Hdr_Len);
 
-  if (pkt == NULL) {
+    if (pkt == NULL) {
 
-    RFCNB_errno = RFCNBE_NoSpace;
-    RFCNB_saved_errno = errno;
-    return(RFCNBE_Bad);
+	RFCNB_errno = RFCNBE_NoSpace;
+	RFCNB_saved_errno = errno;
+	return (RFCNBE_Bad);
 
-  }
+    }
 
-  pkt -> next = Data;  /* Plug in the data portion */
+    pkt->next = Data;		/* Plug in the data portion */
 
-  if ((ret_len = RFCNB_Get_Pkt(con_Handle, pkt, Length + RFCNB_Pkt_Hdr_Len)) < 0) {
+    if ((ret_len =
+	    RFCNB_Get_Pkt(con_Handle, pkt, Length + RFCNB_Pkt_Hdr_Len)) < 0) {
 
 #ifdef RFCNB_DEBUG
-    fprintf(stderr, "Bad packet return in RFCNB_Recv... \n");
+	fprintf(stderr, "Bad packet return in RFCNB_Recv... \n");
 #endif
 
-    return(RFCNBE_Bad);
+	return (RFCNBE_Bad);
 
-  }
+    }
 
-  /* We should check that we go a message and not a keep alive */
+    /* We should check that we go a message and not a keep alive */
 
-  pkt -> next = NULL;
+    pkt->next = NULL;
 
-  RFCNB_Free_Pkt(pkt);
+    RFCNB_Free_Pkt(pkt);
 
-  return(ret_len);
+    return (ret_len);
 
 }
 
 /* We just disconnect from the other end, as there is nothing in the RFCNB */
 /* protocol that specifies any exchange as far as I can see                */
 
-int RFCNB_Hangup(struct RFCNB_Con *con_Handle)
-
+int
+RFCNB_Hangup(struct RFCNB_Con *con_Handle)
 {
 
-  if (con_Handle != NULL) {
-    RFCNB_Close(con_Handle -> fd);  /* Could this fail? */
-    free(con_Handle);
-  }
+    if (con_Handle != NULL) {
+	RFCNB_Close(con_Handle->fd);	/* Could this fail? */
+	free(con_Handle);
+    }
 
-  return 0;
+    return 0;
 
 
 }
 
 /* Set TCP_NODELAY on the socket                                          */
 
-int RFCNB_Set_Sock_NoDelay(struct RFCNB_Con *con_Handle, BOOL yn)
-
+int
+RFCNB_Set_Sock_NoDelay(struct RFCNB_Con *con_Handle, BOOL yn)
 {
 
-  return(setsockopt(con_Handle -> fd, IPPROTO_TCP, TCP_NODELAY, 
-		    (char *)&yn, sizeof(yn)));
+    return (setsockopt(con_Handle->fd, IPPROTO_TCP, TCP_NODELAY,
+	    (char *) &yn, sizeof(yn)));
 
 }
 
@@ -301,8 +310,8 @@
 /* Listen for a connection on a port???, when                             */
 /* the connection comes in, we return with the connection                 */
 
-void *RFCNB_Listen()
-
+void *
+RFCNB_Listen()
 {
 
 }
@@ -310,56 +319,55 @@
 /* Pick up the last error response as a string, hmmm, this routine should */
 /* have been different ...                                                */
 
-void RFCNB_Get_Error(char *buffer, int buf_len)
-
+void
+RFCNB_Get_Error(char *buffer, int buf_len)
 {
 
-  if (RFCNB_saved_errno <= 0) {
-    sprintf(buffer, "%s", RFCNB_Error_Strings[RFCNB_errno]);
-  }
-  else {
-    sprintf(buffer, "%s\n\terrno:%s", RFCNB_Error_Strings[RFCNB_errno],
+    if (RFCNB_saved_errno <= 0) {
+	sprintf(buffer, "%s", RFCNB_Error_Strings[RFCNB_errno]);
+    } else {
+	sprintf(buffer, "%s\n\terrno:%s", RFCNB_Error_Strings[RFCNB_errno],
 	    strerror(RFCNB_saved_errno));
-  }
+    }
 
 }
 
 /* Pick up the last error response and returns as a code                 */
 
-int RFCNB_Get_Last_Error()
-
+int
+RFCNB_Get_Last_Error()
 {
 
-  return(RFCNB_errno);
+    return (RFCNB_errno);
 
 }
 
 /* Pick up saved errno as well */
 
-int RFCNB_Get_Last_Errno()
-
+int
+RFCNB_Get_Last_Errno()
 {
 
-  return(RFCNB_saved_errno);
+    return (RFCNB_saved_errno);
 
 }
 
 /* Pick up the last error response and return in string ...             */
 
-int RFCNB_Get_Error_Msg(int code, char *msg_buf, int len)
-
+int
+RFCNB_Get_Error_Msg(int code, char *msg_buf, int len)
 {
 
-  strncpy(msg_buf, RFCNB_Error_Strings[abs(code)], len);
+    strncpy(msg_buf, RFCNB_Error_Strings[abs(code)], len);
 
 }
 
 /* Register a higher level protocol print routine */
 
-void RFCNB_Register_Print_Routine(void (*fn)())
-
+void
+RFCNB_Register_Print_Routine(void (*fn) ())
 {
 
-  Prot_Print_Routine = fn;
+    Prot_Print_Routine = fn;
 
 }
Index: squid/auth_modules/MSNT/smbauth.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/MSNT/Attic/smbauth.c,v
retrieving revision 1.1.1.1.4.2
retrieving revision 1.1.1.1.4.2.6.1
diff -u -r1.1.1.1.4.2 -r1.1.1.1.4.2.6.1
--- squid/auth_modules/MSNT/smbauth.c	22 May 2000 11:00:35 -0000	1.1.1.1.4.2
+++ squid/auth_modules/MSNT/smbauth.c	27 Aug 2001 21:48:15 -0000	1.1.1.1.4.2.6.1
@@ -1,7 +1,5 @@
-
 /*
   msntauth
-
   Modified to act as a Squid authenticator module.
   Removed all Pike stuff.
   Returns OK for a successful authentication, or ERR upon error.
@@ -36,78 +34,75 @@
 #include <sys/time.h>
 #include "sitedef.h"
 
-extern void Checkforchange();       /* For signal() to find the function */
+extern void Checkforchange();	/* For signal() to find the function */
 
 /* Main program for simple authentication.
    Reads the denied user file. Sets alarm timer.
    Scans and checks for Squid input, and attempts to validate the user.
 */
 
-int main()
+int
+main()
 {
-  char username[256];
-  char password[256];
-  char wstr[256];
-  struct itimerval TimeOut;
-
-  /* Read denied user file. If it fails there is a serious problem.
-     Check syslog messages. Deny all users while in this state.
-     The process should then be killed. */
-
-  if (Read_denyusers() == 1)
-  {
-     while (1)
-     {
-       fgets(wstr, 255, stdin);
-       puts("ERR");
-       fflush(stdout);
-     }
-  }
-
-  /* An alarm timer is used to check the denied user file for changes
-     every minute. Reload the file if it has changed. */ 
-
-  TimeOut.it_interval.tv_sec = 60;
-  TimeOut.it_interval.tv_usec = 0;
-  TimeOut.it_value.tv_sec = 60;
-  TimeOut.it_value.tv_usec = 0;
-  setitimer(ITIMER_REAL, &TimeOut, 0);
-  signal(SIGALRM, Checkforchange);
-  signal(SIGHUP, Checkforchange);
-
-  while (1)
-  {
-    /* Read whole line from standard input. Terminate on break. */
-    if (fgets(wstr, 255, stdin) == NULL)    
-       break;
-
-    /* Clear any current settings */
-    username[0] = '\0';
-    password[0] = '\0';
-    sscanf(wstr, "%s %s", username, password);     /* Extract parameters */
-
-    /* Check for invalid or blank entries */
-    if ((username[0] == '\0') || (password[0] == '\0'))
-  {
-       puts("ERR");
-       fflush(stdout);
-       continue;
+    char username[256];
+    char password[256];
+    char wstr[256];
+    struct itimerval TimeOut;
+
+    /* Read denied user file. If it fails there is a serious problem.
+     * Check syslog messages. Deny all users while in this state.
+     * The process should then be killed. */
+
+    if (Read_denyusers() == 1) {
+	while (1) {
+	    fgets(wstr, 255, stdin);
+	    puts("ERR");
+	    fflush(stdout);
+	}
     }
 
-    if (Check_user(username) == 1)            /* Check if user is denied */
-        puts("ERR");
-    else
-    {
-    if (Valid_User(username, password, PRIMARY_DC, BACKUP_DC, NTDOMAIN) == 0)
-       puts("OK");
-    else
-       puts("ERR");
-  }
-
-    fflush(stdout);
-  }
-  
-  return 0;
+    /* An alarm timer is used to check the denied user file for changes
+     * every minute. Reload the file if it has changed. */
+
+    TimeOut.it_interval.tv_sec = 60;
+    TimeOut.it_interval.tv_usec = 0;
+    TimeOut.it_value.tv_sec = 60;
+    TimeOut.it_value.tv_usec = 0;
+    setitimer(ITIMER_REAL, &TimeOut, 0);
+    signal(SIGALRM, Checkforchange);
+    signal(SIGHUP, Checkforchange);
+
+    while (1) {
+	/* Read whole line from standard input. Terminate on break. */
+	if (fgets(wstr, 255, stdin) == NULL)
+	    break;
+
+	/* Clear any current settings */
+	username[0] = '\0';
+	password[0] = '\0';
+	sscanf(wstr, "%s %s", username, password);	/* Extract parameters */
+
+	/* Check for invalid or blank entries */
+	if ((username[0] == '\0') || (password[0] == '\0')) {
+	    puts("ERR");
+	    fflush(stdout);
+	    continue;
+	}
+
+	if (Check_user(username) == 1)	/* Check if user is denied */
+	    puts("ERR");
+	else {
+	    if (Valid_User(username, password, PRIMARY_DC, BACKUP_DC,
+		    NTDOMAIN) == 0)
+		puts("OK");
+	    else
+		puts("ERR");
+	}
+
+	fflush(stdout);
+    }
+
+    return 0;
 }
 
 /* Valid_User return codes -
@@ -117,4 +112,3 @@
    2 - Protocol error.
    3 - Logon error; Incorrect password or username given.
 */
-
